Public Class frmIncome

  'frmIncome's code   (startup form)

  Private Sub btnDetermine_Click(ByVal sender As System.Object,
                                 ByVal e As System.EventArgs) Handles btnDetermine.Click
    frmSources.txtName.Text = txtName.Text
    frmSources.ShowDialog()     'Show the second form and wait until it closes.
    '                            Then execute the rest of the code in this procedure. 
    txtTotIncome.Text = FormatCurrency(frmSources.sum)
  End Sub

End Class
